Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519773 - systemd-analyze blame fails if SELinux is in enforcing mode
Summary: systemd-analyze blame fails if SELinux is in enforcing mode
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 12:54 UTC by Florian Weimer
Modified: 2018-11-30 22:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:53:15 UTC


Attachments (Terms of Use)
Strace output for systemd-analyze blame on affected FC28 system (deleted)
2018-09-25 04:26 UTC, John Apple II
no flags Details

Description Florian Weimer 2017-12-01 12:54:21 UTC
I get this on a minimal installation of Fedora 27:

# systemd-analyze blame
Failed to parse reply: Access denied

The error goes away with “setenforce 0”.  I do not see any audit messages under “ausearch -ts recent”, though.

systemd-234-9.fc27.x86_64
selinux-policy-targeted-3.13.1-283.17.fc27.noarch

Comment 1 John Apple II 2018-09-25 04:26:26 UTC
Created attachment 1486590 [details]
Strace output for systemd-analyze blame on affected FC28 system

Comment 2 John Apple II 2018-09-25 04:28:56 UTC
** Output on FC28 system **

[~]# systemd-analyze blame
Failed to parse reply: Access denied

** Workaround **
setenforce 0
After this, the command executes cleanly

** System Information **

[~]# uname -a
Linux localhost.localdomain 4.18.7-200.fc28.x86_64 #1 SMP Mon Sep 10 15:44:45 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

[~]# rpm -qa | egrep "systemd|selinux" | sort
container-selinux-2.73-1.gitd7a3f33.fc28.noarch
gcl-selinux-2.6.12-11.fc28.noarch
kcm_systemd-1.2.1-10.fc28.x86_64
libreport-plugin-systemd-journal-2.9.5-1.fc28.x86_64
libselinux-2.8-1.fc28.i686
libselinux-2.8-1.fc28.x86_64
libselinux-utils-2.8-1.fc28.x86_64
mod_selinux-2.4.4-10.fc27.x86_64
oci-systemd-hook-0.1.18-1.git38504cc.fc28.x86_64
python2-libselinux-2.8-1.fc28.x86_64
python3-libselinux-2.8-1.fc28.x86_64
python3-systemd-234-5.fc28.x86_64
python-systemd-doc-234-5.fc28.x86_64
rpm-plugin-selinux-4.14.2-1.fc28.x86_64
rpm-plugin-systemd-inhibit-4.14.2-1.fc28.x86_64
selinux-policy-3.14.1-42.fc28.noarch
selinux-policy-devel-3.14.1-42.fc28.noarch
selinux-policy-targeted-3.14.1-42.fc28.noarch
systemd-238-9.git0e0aa59.fc28.x86_64
systemd-bootchart-233-1.fc28.x86_64
systemd-container-238-9.git0e0aa59.fc28.x86_64
systemd-libs-238-9.git0e0aa59.fc28.i686
systemd-libs-238-9.git0e0aa59.fc28.x86_64
systemd-pam-238-9.git0e0aa59.fc28.x86_64
systemd-udev-238-9.git0e0aa59.fc28.x86_64
wine-systemd-3.14-1.fc28.noarch

Comment 3 Ben Cotton 2018-11-27 14:22:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 22:53:15 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.